Gentoo Archives: gentoo-commits

From: Hans de Graaff <graaff@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/diva/
Date: Sat, 23 May 2020 17:41:28
Message-Id: 1590255671.06d884869e295f8e59d9b66bead895f765bbe6f2.graaff@gentoo
commit:     06d884869e295f8e59d9b66bead895f765bbe6f2
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat May 23 13:21:22 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat May 23 17:41:11 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06d88486

dev-ruby/diva: run tests; avoid bundler

Closes: https://bugs.gentoo.org/723830
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/diva/Manifest             |  1 +
 dev-ruby/diva/diva-1.0.2-r1.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-ruby/diva/Manifest b/dev-ruby/diva/Manifest
index 97e99627969..f8b31f11582 100644
--- a/dev-ruby/diva/Manifest
+++ b/dev-ruby/diva/Manifest
@@ -1 +1,2 @@
 DIST diva-1.0.2.gem 13824 BLAKE2B c292e11d9975691d85cb0500ec42b10422665abb9b236d44629d0a9518e318cf91891d4ad265aab81d13762d121910a8be92c602225d44bfa66e31e77082fa95 SHA512 b5d2df59e4144930ee18c7b738e8b93646057935364c2710d349761e68053f1c342b382de76dc1669076db7394ff906384a8952e1e7c44c71f208dc3604d67f4
+DIST diva-1.0.2.tar.gz 13638 BLAKE2B 461e8487e06749d0482b86fd30945dc83d53daea06750628839c899b6f8d419599c9cc322b62f58d3eb956a2a99a3674dd591c4bb2fc5483bd1853bc40154634 SHA512 b60d80ca55c98a2f6fcf269aa4a2188f2239b871b0e77f328490d5924a6d0e6801c67d0eef4de28b584303f38bed3752a3ceb2c1e4f2c7d17be13dad03c643b5

diff --git a/dev-ruby/diva/diva-1.0.2-r1.ebuild b/dev-ruby/diva/diva-1.0.2-r1.ebuild
new file mode 100644
index 00000000000..cd07c32b70c
--- /dev/null
+++ b/dev-ruby/diva/diva-1.0.2-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_GEMSPEC="diva.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Implementation of expression for handling things."
+HOMEPAGE="https://github.com/toshia/diva https://rubygems.org/gems/diva"
+SRC_URI="https://github.com/toshia/diva/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+ruby_add_rdepend "<dev-ruby/addressable-2.8"
+
+all_ruby_prepare() {
+	sed -i -e '/bundler/ s:^:#:' Rakefile || die
+	sed -i -e 's/git ls-files -z/find -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}